<?php
require_once 'connect.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

// capturando o usuário e unidade logado
$usuario_list = getLoggedUser();
$id_unidade = $usuario_list['unidade'];

if(isset($_POST['adicionar'])) {
    
    $nr_ano = $_POST['nr_ano'];
    $nr_mes = $_POST['nr_mes'];
    
    if(strlen($nr_mes) == 1){
        $nr_mes = "0" . $nr_mes;
    }
    
    $dt_meta = "$nr_ano-$nr_mes-01";
    
    $vl_meta_receita = $_POST['vl_meta_receita'];
    $vl_meta_receita = str_replace("R$ ", "", $vl_meta_receita);
    $vl_meta_receita = str_replace(".", "", $vl_meta_receita);
    $vl_meta_receita = str_replace(",", ".", $vl_meta_receita);
    
    $vl_meta_despesa = $_POST['vl_meta_despesa'];
    $vl_meta_despesa = str_replace("R$ ", "", $vl_meta_despesa);
    $vl_meta_despesa = str_replace(".", "", $vl_meta_despesa);
    $vl_meta_despesa = str_replace(",", ".", $vl_meta_despesa);
    
    $vl_meta_lucro  = $_POST['vl_meta_lucro'];
    $vl_meta_lucro = str_replace("R$ ", "", $vl_meta_lucro);
    $vl_meta_lucro = str_replace(".", "", $vl_meta_lucro);
    $vl_meta_lucro = str_replace(",", ".", $vl_meta_lucro);

    $vl_meta_lucratividade = $_POST['vl_meta_lucratividade'];
    $vl_meta_lucratividade = str_replace(",", ".", $vl_meta_lucratividade);
    
    $sql_existe = "select * from erpc_financeiro_metas where year(dt_meta) = $nr_ano and month(dt_meta) = $nr_mes";
    $resultado_existe = mysqli_query($conexao, $sql_existe) or die(mysqli_error($conexao));
    
    if(mysqli_num_rows($resultado_existe) > 0){
        
        if(isset($_POST['id_meta'])){
            $id_meta = $_POST['id_meta'];
        }
        
        $sql = "update erpc_financeiro_metas set 
                    vl_meta_receita=$vl_meta_receita, 
                    vl_meta_despesa=$vl_meta_despesa,  
                    vl_meta_lucro_prejuizo=$vl_meta_lucro,
                    vl_meta_lucratividade=$vl_meta_lucratividade
                where id = $id_meta";
        
        if(mysqli_query($conexao, $sql)){
            header('Location: erpc_financeiro_metas_filter.php');
        }else{
            die(mysqli_error($conexao));
        }
        
    }else{
    
        $sql = "insert into erpc_financeiro_metas (   id_unidade
                                                    , dt_meta
                                                    , vl_meta_receita
                                                    , vl_meta_despesa
                                                    , vl_meta_lucro_prejuizo
                                                    , vl_meta_lucratividade
                                                    , st_ativo)
                    Values (  $id_unidade
                            , '$dt_meta'
                            , $vl_meta_receita
                            , $vl_meta_despesa
                            , $vl_meta_lucro
                            , $vl_meta_lucratividade
                            , 1
                           )";
        
        
        mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
            
        
        header('Location: erpc_financeiro_metas_filter.php');
    }
}elseif(isset($_POST['ajax']) or isset($_GET['ajax'])){
    $nr_ano = $_POST['nr_ano'];
    $nr_mes = $_POST['nr_mes'];
    $id_unidade = $_POST['id_unidade'];
    //$nr_ano = $_GET['nr_ano'];
    //$nr_mes = $_GET['nr_mes'];
    //$id_unidade = $_GET['id_unidade'];
    
    $sql = "select   id
                    ,vl_meta_receita
                    ,vl_meta_despesa
                    ,vl_meta_lucro_prejuizo
                    ,vl_meta_lucratividade 
                from erpc_financeiro_metas 
                where   Year(dt_meta) = $nr_ano 
                    and month(dt_meta) = $nr_mes 
                    and id_unidade = $id_unidade";
    
    $ar_retorno = array(
        'id' => '',
        'vl_meta_receita' => '',
        'vl_meta_despesa' => '',
        'vl_meta_lucro_prejuizo' => '',
        'vl_meta_lucratividade' => ''        
    );
    
    $resultado = mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
    if(mysqli_num_rows($resultado) > 0){
        while($registro = mysqli_fetch_assoc($resultado)){
            $ar_retorno['id'] = $registro['id'];
            $ar_retorno['vl_meta_receita'] = $registro['vl_meta_receita'];
            $ar_retorno['vl_meta_despesa'] = $registro['vl_meta_despesa'];
            $ar_retorno['vl_meta_lucro_prejuizo'] = $registro['vl_meta_lucro_prejuizo'];
            $ar_retorno['vl_meta_lucratividade'] = $registro['vl_meta_lucratividade'];
        }
    }else{
        $ar_retorno = 0;
        //$ar_retorno = array("ano" => $nr_ano, "mes" => $nr_mes, "unidade" => $id_unidade);
    }
    
    
    echo json_encode($ar_retorno);   
}elseif($_POST['remover']){
    
    if(isset($_POST['id_meta'])){
        $id_meta = $_POST['id_meta'];
    }
    
    $sql = "update erpc_financeiro_metas set st_ativo = 0 where id = $id_meta";
    
    mysqli_query($conexao, $sql) or die(mysqli_error($conexao));
    
    header('Location: erpc_financeiro_metas_filter.php');
}

















